import { UserLevel } from "../enums/UserLevel";

export default class SessionUser {
	public readonly userId:number;
	public readonly userLevel:UserLevel;
	public readonly validityPeriod:Date;

	constructor(userId:number, userLevel:UserLevel, validityPeriod:Date) {
		this.userId = userId;
		this.userLevel = userLevel;
		this.validityPeriod = validityPeriod;
	}
}